#
# spec file for package kleandisk (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft popt qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 -b "popt"
Name:         kleandisk
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Deletes backup files and other garbage
Version:      2.0
Release:      191
Source0:      kleandisk-2.0.tar.bz2
Patch0: kleandisk-2.0.dif

%description
Kleandisk is a utility to clean useless files from your harddisk,
such as old backup files, .o files and so on. Use at your own risk ;-)

Authors:
--------
    Arjan Buursink <buursink@wxs.nl>

SuSE series: k2de

%prep
%setup -n kleandisk-2.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc AUTHORS INSTALL COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/kleandisk
%dir /opt/kde2/share/apps/kleandisk/pics
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/icons/hicolor32x32
%dir /opt/kde2/share/icons/hicolor32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
/opt/kde2/bin/kleandisk
/opt/kde2/share/applnk/Utilities/kleandisk.desktop
/opt/kde2/share/apps/kleandisk/install.kleandisk
/opt/kde2/share/apps/kleandisk/kleandiskui.rc
/opt/kde2/share/apps/kleandisk/pics/green.xpm
/opt/kde2/share/apps/kleandisk/pics/green_marked.xpm
/opt/kde2/share/apps/kleandisk/pics/red.xpm
/opt/kde2/share/apps/kleandisk/pics/red_marked.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_gray.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_green.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_green_broken.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_red.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_red_broken.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_yellow.xpm
/opt/kde2/share/apps/kleandisk/pics/schedule_yellow_broken.xpm
/opt/kde2/share/icons/hicolor/48x48/apps/kleandisk.xpm
/opt/kde2/share/icons/hicolor32x32/apps/kleandisk.xpm
/opt/kde2/share/icons/locolor/16x16/apps/kleandisk.xpm

%changelog -n kleandisk
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- New versoin 2.0.0
* Sun Mar 18 2001 - @suse.de
- New version 2.0beta2
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 09 2000 - adrian@suse.de
- fixed make install
* Sun Nov 05 2000 - adrian@suse.de
- Spec file created from kleandisk-1.2beta2.tar.bz2 by autospec
